Bug 1003248 - Intermittent Wlan drops on MacBook Pro
Intermittent Wlan drops on MacBook Pro
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-01 05:45 EDT by emsa
Modified: 2014-07-16 08:07 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-16 08:07:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description emsa 2013-09-01 05:45:18 EDT
Description of problem:

Wlan intermittent drops

Version-Release number of selected component (if applicable):

Fedora 19 / 3.10.9-200.fc19.x86_64 on MacBook Pro

Actual results:

The wlan loses network connection, pinging another host on my local network gives pingtimes from 0.6ms to 4ms then I get "Network Unreachable" for a while then I get the same ping times back again.

iwconfig reports "Link Quality=70/70" also under network drops but "Signal Level" will go down from 7 to 0 dBm.

Controller is reported as:

03:00.0 Network controller: Broadcom Corporation BCM4331 802.11a/b/g/n (rev 02)

Happy to provide more details ...
Comment 1 emsa 2013-09-01 06:38:15 EDT
Should say "Destination Host Unreachable" not "Network Unreachable".


As an update I also mention that the connection not always comes back and I do need at times to restart the wlan to get the connection back
Comment 2 emsa 2013-09-01 07:17:17 EDT
Once more: I switched to "3.10.4-300.fc19.x86_64", with this kernal I do not get any drops (so far). Ping times vary widely but overall it seems stable ...
Comment 3 emsa 2013-09-04 13:01:10 EDT
It does happen even with the older kernel but it /seems/ like the likelihood of this happening is increased by suspend/resume.
Comment 4 Josh Boyer 2013-09-18 16:38:48 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 5 emsa 2013-09-28 04:27:32 EDT
The issues remain the same in 3.11.1-200.fc19.x86_64
Comment 6 emsa 2013-10-05 11:33:30 EDT
Updated to 3.11.2-201.fc19.x86_64 where to problems seems to be worse.
Comment 7 Michele Baldessari 2013-10-15 17:47:34 EDT
I have the previous version of the card and it works quite well
02:00.0 Network controller: Broadcom Corporation BCM43224 802.11a/b/g/n (rev 01)

normally when the driver has issues it spews messages in var/log/messages (look for brcmsmac). Do you get any warnings/messages?
Comment 8 emsa 2013-10-23 13:12:45 EDT
No nothing from brcmsmac, I get stuff like below.

After this I open the applet, turn the wireless off then on again and the network connects again.

------8<--------

Oct 23 19:01:47 localhost NetworkManager[604]: <warn> Connection disconnected (reason -4)
Oct 23 19:01:47 localhost kernel: [16778.833276] cfg80211: Calling CRDA to update world regulatory domain
Oct 23 19:01:47 localhost NetworkManager[604]: <info> (wlp3s0): supplicant interface state: completed -> disconnected
Oct 23 19:01:47 localhost kernel: [16778.839372] cfg80211: World regulatory domain updated:
Oct 23 19:01:47 localhost kernel: [16778.839375] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Oct 23 19:01:47 localhost kernel: [16778.839376] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Oct 23 19:01:47 localhost kernel: [16778.839378] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Oct 23 19:01:47 localhost kernel: [16778.839379] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Oct 23 19:01:47 localhost kernel: [16778.839380] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Oct 23 19:01:47 localhost kernel: [16778.839381] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Oct 23 19:01:47 localhost kernel: [16778.839393] cfg80211: Calling CRDA for country: SE
Oct 23 19:01:47 localhost kernel: [16778.841464] cfg80211: Regulatory domain changed to country: SE
Oct 23 19:01:47 localhost kernel: [16778.841466] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Oct 23 19:01:47 localhost kernel: [16778.841467] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Oct 23 19:01:47 localhost kernel: [16778.841468] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Oct 23 19:01:47 localhost kernel: [16778.841469] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Oct 23 19:01:47 localhost kernel: [16778.841470] cfg80211:   (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
Oct 23 19:01:47 localhost kernel: [16778.841471] cfg80211:   (57240000 KHz - 65880000 KHz @ 2160000 KHz), (N/A, 4000 mBm)
Oct 23 19:01:47 localhost NetworkManager[604]: <info> (wlp3s0): supplicant interface state: disconnected -> scanning
Oct 23 19:01:48 localhost kernel: [16779.851704] wlp3s0: authenticate with 84:1b:5e:d9:e5:fd
Oct 23 19:01:48 localhost kernel: [16779.862197] wlp3s0: send auth to 84:1b:5e:d9:e5:fd (try 1/3)
Oct 23 19:01:48 localhost NetworkManager[604]: <info> (wlp3s0): supplicant interface state: scanning -> authenticating
Oct 23 19:01:49 localhost kernel: [16780.062743] wlp3s0: send auth to 84:1b:5e:d9:e5:fd (try 2/3)
Oct 23 19:01:49 localhost kernel: [16780.066466] wlp3s0: authenticated
Oct 23 19:01:49 localhost kernel: [16780.067739] wlp3s0: associate with 84:1b:5e:d9:e5:fd (try 1/3)
Oct 23 19:01:49 localhost NetworkManager[604]: <info> (wlp3s0): supplicant interface state: authenticating -> associating
Oct 23 19:01:49 localhost kernel: [16780.268669] wlp3s0: associate with 84:1b:5e:d9:e5:fd (try 2/3)
Oct 23 19:01:49 localhost kernel: [16780.272577] wlp3s0: RX AssocResp from 84:1b:5e:d9:e5:fd (capab=0x411 status=0 aid=6)
Oct 23 19:01:49 localhost kernel: [16780.273484] wlp3s0: associated
Oct 23 19:01:49 localhost NetworkManager[604]: <info> (wlp3s0): supplicant interface state: associating -> associated
Oct 23 19:01:49 localhost NetworkManager[604]: <info> (wlp3s0): supplicant interface state: associated -> 4-way handshake
Oct 23 19:01:49 localhost NetworkManager[604]: <info> (wlp3s0): supplicant interface state: 4-way handshake -> completed
Oct 23 19:02:08 localhost NetworkManager[604]: <warn> Connection disconnected (reason -4)
Oct 23 19:02:08 localhost kernel: [16799.840116] cfg80211: Calling CRDA to update world regulatory domain
Oct 23 19:02:08 localhost kernel: [16799.843418] cfg80211: World regulatory domain updated:
Oct 23 19:02:08 localhost kernel: [16799.843422] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Oct 23 19:02:08 localhost kernel: [16799.843423] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Oct 23 19:02:08 localhost kernel: [16799.843424] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Oct 23 19:02:08 localhost kernel: [16799.843425] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Oct 23 19:02:08 localhost kernel: [16799.843426] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Oct 23 19:02:08 localhost kernel: [16799.843427] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Oct 23 19:02:08 localhost kernel: [16799.843619] cfg80211: Calling CRDA for country: SE
Oct 23 19:02:08 localhost NetworkManager[604]: <info> (wlp3s0): supplicant interface state: completed -> disconnected
Oct 23 19:02:08 localhost kernel: [16799.846089] cfg80211: Regulatory domain changed to country: SE
Oct 23 19:02:08 localhost kernel: [16799.846097] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Oct 23 19:02:08 localhost kernel: [16799.846099] cfg80211:   (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Oct 23 19:02:08 localhost kernel: [16799.846100] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Oct 23 19:02:08 localhost kernel: [16799.846101] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
Oct 23 19:02:08 localhost kernel: [16799.846102] cfg80211:   (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
Oct 23 19:02:08 localhost kernel: [16799.846103] cfg80211:   (57240000 KHz - 65880000 KHz @ 2160000 KHz), (N/A, 4000 mBm)
Oct 23 19:02:08 localhost NetworkManager[604]: <info> (wlp3s0): supplicant interface state: disconnected -> scanning
Oct 23 19:02:09 localhost kernel: [16800.858585] wlp3s0: authenticate with 84:1b:5e:d9:e5:fd
Oct 23 19:02:09 localhost NetworkManager[604]: <info> (wlp3s0): supplicant interface state: scanning -> authenticating
Oct 23 19:02:09 localhost kernel: [16800.870934] wlp3s0: send auth to 84:1b:5e:d9:e5:fd (try 1/3)
Oct 23 19:02:10 localhost kernel: [16801.071575] wlp3s0: send auth to 84:1b:5e:d9:e5:fd (try 2/3)
Oct 23 19:02:10 localhost kernel: [16801.272522] wlp3s0: send auth to 84:1b:5e:d9:e5:fd (try 3/3)
Oct 23 19:02:10 localhost kernel: [16801.473507] wlp3s0: authentication with 84:1b:5e:d9:e5:fd timed out
Oct 23 19:02:10 localhost NetworkManager[604]: <info> (wlp3s0): supplicant interface state: authenticating -> disconnected
Oct 23 19:02:10 localhost NetworkManager[604]: <info> (wlp3s0): supplicant interface state: disconnected -> scanning
Oct 23 19:02:23 localhost NetworkManager[604]: <warn> (wlp3s0): link timed out.
Oct 23 19:02:23 localhost NetworkManager[604]: <info> (wlp3s0): device state change: activated -> failed (reason 'SSID not found') [100 120 53]
Oct 23 19:02:23 localhost NetworkManager[604]: <warn> Activation (wlp3s0) failed for connection 'NETGEAR75'
Oct 23 19:02:23 localhost NetworkManager[604]: <info> (wlp3s0): device state change: failed -> disconnected (reason 'none') [120 30 0]
Oct 23 19:02:23 localhost NetworkManager[604]: <info> (wlp3s0): deactivating device (reason 'none') [0]
Oct 23 19:02:23 localhost dbus[538]: [system] Activating via systemd: service name='org.freedesktop.nm_dispatcher' unit='dbus-org.freedesktop.nm-dispatcher.service'
Oct 23 19:02:23 localhost dbus-daemon[538]: dbus[538]: [system] Activating via systemd: service name='org.freedesktop.nm_dispatcher' unit='dbus-org.freedesktop.nm-dispatcher.service'
Oct 23 19:02:23 localhost systemd[1]: Starting Network Manager Script Dispatcher Service...
Comment 9 filip.slunecko 2013-10-31 02:16:46 EDT
I had the same problem. I run b43-fwcutter -w "$FIRMWARE_INSTALL_DIR" broadcom-wl-5.100.138/linux/wl_apsta.o again on the new kernel and it seems to help.
Comment 10 Michele Baldessari 2013-12-01 06:04:54 EST
If messages has no mention of errors, there is not much we can do (short of
recompiling a kernel with CONFIG_BRCMDBG=y and post the messages here).

Maybe try a more recent firmware as suggested by Filip?
Comment 11 Justin M. Forbes 2014-03-10 10:45:37 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.
Comment 12 emsa 2014-07-16 05:33:04 EDT
Now updated to Fedora 20 (updated this issue accordingly), using broadcom-wl/kmod-wl/akmod-wl (rpm-fusion).

Still I have the same issues, wlan drops and then after a while it usually return to working state.

I have not been able to figure out where the issue lies, can it be that the hardware/firmeware doesn't like my netgear router?
Comment 13 Josh Boyer 2014-07-16 08:07:57 EDT
We don't support the proprietary broadcom drivers.

Note You need to log in before you can comment on or make changes to this bug.